[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.ExitCode

Exit code of the process

## Declaration

Source position: processbody.inc line 136

`public property TPROCESS.ExitCode : Integer read GetExitCode;`

## Description

ExitCode is the actual exit code of the process. On UNIX, this may differ from the ExitStatus value if the process was terminated by a signal: in that case ExitStatus is the raw exit status as reported by one of the UNIX Wait command, and ExitCode is the exit code reported by the program.

## See also

TProcess.ExitStatus |  | Exit status of the process.
TProcess.Running |  | Determines whether the process is still running.
TProcess.WaitOnExit |  | Wait for the program to stop executing.
TProcess.Terminate |  | Terminate a running process